Bug 799023 - Review Request: eot-utils - Tools to convert OTF/TTF to EOT font format and show its metadata
Review Request: eot-utils - Tools to convert OTF/TTF to EOT font format and ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-01 10:29 EST by Jan Pokorný
Modified: 2012-03-15 05:35 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-15 05:35:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jan Pokorný 2012-03-01 10:29:51 EST
This package enables exporting OTF/TTF into EOT format (for MSIE).
EOT is the only web font format not supported by FontForge.

Having such converter also enables selected fonts being additionally
packaged in the formats for web (beside OTF/TTF: WOFF, SVG, EOT),
if there will be such need/fonts SIG decides so.  Also Liberation
might be distributed as an additional archive of web font formats.
CC'ing people I had a discussion about this.

Spec URL:
http://jpokorny.fedorapeople.org/eot-utils/eot-utils.spec

SRPM URL:
http://jpokorny.fedorapeople.org/eot-utils/eot-utils-1.1-1.fc16.src.rpm

Description:
The eot-utils are the two programs mkeot and eotinfo.
The former creates an EOT (Embedded OpenType) file from an OpenType
or TrueType font and the URLs of one or more Web pages, respecting
the TrueType embedding bits.
The eotinfo program displays EOT meta-data in a human-readable way.
Comment 1 Parag AN(पराग) 2012-03-02 03:44:13 EST
Review:
- koji build failed (f17) ->http://koji.fedoraproject.org/koji/taskinfo?taskID=3845922

+ source verified with upstream as (sha1sum)
7e8a68ba1ae4b533113e7965aa2cca133367f31f  eot-utilities-1.1.tar.gz
7e8a68ba1ae4b533113e7965aa2cca133367f31f  ../SOURCES/eot-utilities-1.1.tar.gz


Suggestions:
1)  you need to remove autoreconf from %build as this will pass the scratch build on koji.

2) install section change from
rm -rf -- $RPM_BUILD_ROOT
make install-strip DESTDIR=$RPM_BUILD_ROOT

to
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
Comment 2 Jan Pokorný 2012-03-02 06:50:07 EST
(In reply to comment #1)

> 1)  you need to remove autoreconf from %build as this will pass
> the scratch build on koji.

Agreed, I've just found [1] and it works well for me without it in
the mock environment.

(Otherwise, these BuildRequires would be needed: autoconf, automake, m4.)

> 2) install section change from
> rm -rf -- $RPM_BUILD_ROOT
> make install-strip DESTDIR=$RPM_BUILD_ROOT
> to
> make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

The removal command comes from rpmdev-newspec.  If this is not needed
or it serves only to ensure everything is rebuilt properly when building
locally, bug against rpmdevtools should be filed.

Re: INSTALL="install -p" ... agreed.

Re: install-strip -> install:
I got it, it is a matter of postprocessing that will create separate
debuginfo package and actually strip the binaries.  (Interestingly,
"install-strip" will not do the stripping in this case either.)

[1] http://stackoverflow.com/a/7754416
Comment 3 Jan Pokorný 2012-03-02 08:12:16 EST
Spec and SRPM available at the same URLs (the old version is in "old-v1").
I've also returned "meta-data" back to "metadata" (as in Summary)
and use the form of RPM macros consistently.

Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=3846459
Comment 4 Parag AN(पराग) 2012-03-05 04:38:38 EST
Always bump the release for new update in package.

Change summary from
Summary:        Tools to convert OTF/TTF to EOT font format + show its metadata
to
Summary:        Tools to convert OTF/TTF to EOT font format and show its metadata

Good to make it more readable.

And if you want to follow spec format what rpmdev-newspec gives then use 
rm -rf $RPM_BUILD_ROOT
Comment 5 Jan Pokorný 2012-03-05 11:20:26 EST
All is addressed in -2 (I've thought versioning starts since the real
package inclusion, maybe I overlooked it in the guidelines).

http://jpokorny.fedorapeople.org/eot-utils/eot-utils.spec
http://jpokorny.fedorapeople.org/eot-utils/eot-utils-1.1-2.fc16.src.rpm
Comment 6 Parag AN(पराग) 2012-03-05 23:38:18 EST
koji build -> http://koji.fedoraproject.org/koji/taskinfo?taskID=3856615

APPROVED.
Comment 7 Jan Pokorný 2012-03-06 08:08:53 EST
Thanks, Parag.
Comment 8 Jan Pokorný 2012-03-06 08:11:29 EST
New Package SCM Request
=======================
Package Name: eot-utils
Short Description: Tools to convert OTF/TTF to EOT font format and show its metadata
Owners: jpokorny
Branches: f15 f16 el6
InitialCC:
Comment 9 Jan Pokorný 2012-03-06 08:39:41 EST
(leaving InitialCC empty, but pravins, other CC'd to this bug or fonts-sig
may be appropriate)

Paragn, could you sponsor me into the packager group as well, please?
Comment 10 Parag AN(पराग) 2012-03-06 08:55:05 EST
oh! you are not yet sponsored? Okay I have sponsored you now :)
Comment 11 Gwyn Ciesla 2012-03-06 09:27:43 EST
Git done (by process-git-requests).

Added f17 branch.
Comment 13 Parag AN(पराग) 2012-03-14 23:28:47 EDT
You can close this review as package is built for f18/devel.
Comment 14 Jan Pokorný 2012-03-15 05:35:16 EDT
Ok, thanks for help.

Note You need to log in before you can comment on or make changes to this bug.